Package org.multiverse.api.collections

## Interface TxnSet<E>

- All Superinterfaces:
    `Collection<E>`, `Iterable<E>`, `Set<E>`, `TxnCollection<E>`, `TxnIterable<E>`
  All Known Implementing Classes:
    `NaiveTxnHashSet`

      public interface TxnSet<E>
      extends TxnCollection<E>, Set<E>

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface org.multiverse.api.collections.TxnCollection

      `add, addAll, addAll, addAll, clear, contains, containsAll, getStm, isEmpty, remove, size, toString`

    - ### Methods inherited from interface org.multiverse.api.collections.TxnIterable

      `iterator, iterator`